stages:
  - check
  - deploy

variables:
  # No TLS supported on current version of runner - use the following when it is supported
  # DOCKER_HOST: tcp://localhost:2376
  DOCKER_HOST: tcp://localhost:2375
  # Disable TLS as it is not supported on the current version of the runner
  # Remove the following line when it is supported
  DOCKER_TLS_CERTDIR: ""
  DOCKER_TLS_VERIFY: ""
  DOCKER_CERT_PATH: ""
  IMAGE_BASE: $DOCKER_DESTINATION_REGISTRY/$IMAGE_PATH

include:
  - remote: 'https://gitlab.com/soft.at.home/ci/gitlab-ci/-/raw/main/containers.gitlab-ci.yml'

build-push-and-tag-image:
  extends: .build-push-and-tag-image
